libkrb5-devel-1.14.3-1-omv2015.0.i586.rpm


Advertisement

Description

libkrb5-devel - Development files needed for compiling Kerberos 5 programs

Property Value
Distribution OpenMandriva Lx 3.0
Repository OpenMandriva Main Release i586
Package filename libkrb5-devel-1.14.3-1-omv2015.0.i586.rpm
Package name libkrb5-devel
Package version 1.14.3
Package release 1-omv2015.0
Package architecture i586
Package type rpm
Category Development/Other
Homepage http://web.mit.edu/kerberos/www/
License MIT
Maintainer -
Download size 259.54 KB
Installed size 1.31 MB
Kerberos is a network authentication system.  The krb5-devel package
contains the header files and libraries needed for compiling Kerberos
5 programs. If you want to develop Kerberos-aware programs, you'll
need to install this package.

Alternatives

Package Version Architecture Repository
libkrb5-devel-1.16.3-1-omv2015.0.i586.rpm 1.16.3 i586 OpenMandriva Main Updates
libkrb5-devel-1.14.1-1-omv2015.0.i586.rpm 1.14.1 i586 OpenMandriva Main Release
libkrb5-devel - - -

Requires

Name Value
devel(libcom_err) -
devel(libkeyutils) -
devel(libldap-2.4) -
devel(libverto) -
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.15) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libcom_err.so.2 -
libgssapi_krb5.so.2 -
libgssapi_krb5.so.2(gssapi_krb5_2_MIT) -
libgssapi_krb5_2 >= 1.14.3
libgssrpc4 >= 1.14.3
libkadm5clnt_mit10 >= 1.14.3
libkadm5srv_mit10 >= 1.14.3
libkdb5_8 >= 1.14.3
libkdb_ldap1 >= 1.14.3
libkrad0 >= 1.14.3
libkrb5.so.3 -
libkrb5.so.3(krb5_3_MIT) -
libkrb5_3 >= 1.14.3
libkrb5support0 >= 1.14.3
rpm-build -

Provides

Name Value
devel(libgssapi_krb5) -
devel(libgssrpc) -
devel(libk5crypto) -
devel(libkadm5clnt_mit) -
devel(libkadm5srv_mit) -
devel(libkdb5) -
devel(libkdb_ldap) -
devel(libkrad) -
devel(libkrb5) -
devel(libkrb5support) -
krb5-devel == 1.14.3-1
libkrb5-devel == 1.14.3-1:2015.0
pkgconfig(gssrpc) == 1.14.3
pkgconfig(kadm-client) == 1.14.3
pkgconfig(kadm-server) == 1.14.3
pkgconfig(kdb) == 1.14.3
pkgconfig(krb5) == 1.14.3
pkgconfig(krb5-gssapi) == 1.14.3
pkgconfig(mit-krb5) == 1.14.3
pkgconfig(mit-krb5-gssapi) == 1.14.3

Obsoletes

Name Value
libkrb53-devel -

Download

Type URL
Mirror abf-downloads.openmandriva.org
Binary Package libkrb5-devel-1.14.3-1-omv2015.0.i586.rpm
Source Package krb5-1.14.3-1.src.rpm

Install Howto

  1. Enable OpenMandriva Main Release repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libkrb5-devel rpm package:
    # urpmi libkrb5-devel

Files

Path
/usr/bin/gss-client
/usr/bin/krb5-config
/usr/bin/sim_client
/usr/bin/uuclient
/usr/bin/multiarch-i386-linux/krb5-config
/usr/include/gssapi.h
/usr/include/kdb.h
/usr/include/krad.h
/usr/include/krb5.h
/usr/include/profile.h
/usr/include/gssapi/gssapi.h
/usr/include/gssapi/gssapi_ext.h
/usr/include/gssapi/gssapi_generic.h
/usr/include/gssapi/gssapi_krb5.h
/usr/include/gssapi/mechglue.h
/usr/include/gssrpc/auth.h
/usr/include/gssrpc/auth_gss.h
/usr/include/gssrpc/auth_gssapi.h
/usr/include/gssrpc/auth_unix.h
/usr/include/gssrpc/clnt.h
/usr/include/gssrpc/netdb.h
/usr/include/gssrpc/pmap_clnt.h
/usr/include/gssrpc/pmap_prot.h
/usr/include/gssrpc/pmap_rmt.h
/usr/include/gssrpc/rename.h
/usr/include/gssrpc/rpc.h
/usr/include/gssrpc/rpc_msg.h
/usr/include/gssrpc/svc.h
/usr/include/gssrpc/svc_auth.h
/usr/include/gssrpc/types.h
/usr/include/gssrpc/xdr.h
/usr/include/kadm5/admin.h
/usr/include/kadm5/chpass_util_strings.h
/usr/include/kadm5/kadm_err.h
/usr/include/krb5/ccselect_plugin.h
/usr/include/krb5/clpreauth_plugin.h
/usr/include/krb5/hostrealm_plugin.h
/usr/include/krb5/kadm5_hook_plugin.h
/usr/include/krb5/kdcpreauth_plugin.h
/usr/include/krb5/krb5.h
/usr/include/krb5/localauth_plugin.h
/usr/include/krb5/locate_plugin.h
/usr/include/krb5/plugin.h
/usr/include/krb5/preauth_plugin.h
/usr/include/krb5/pwqual_plugin.h
/usr/include/multiarch-i386-linux/krb5.h
/usr/include/multiarch-i386-linux/gssapi/gssapi.h
/usr/include/multiarch-i386-linux/gssrpc/types.h
/usr/lib/libgssapi_krb5.so
/usr/lib/libgssrpc.so
/usr/lib/libk5crypto.so
/usr/lib/libkadm5clnt.so
/usr/lib/libkadm5clnt_mit.so
/usr/lib/libkadm5srv.so
/usr/lib/libkadm5srv_mit.so
/usr/lib/libkdb5.so
/usr/lib/libkdb_ldap.so
/usr/lib/libkrad.so
/usr/lib/libkrb5.so
/usr/lib/libkrb5support.so
/usr/lib/pkgconfig/gssrpc.pc
/usr/lib/pkgconfig/kadm-client.pc
/usr/lib/pkgconfig/kadm-server.pc
/usr/lib/pkgconfig/kdb.pc
/usr/lib/pkgconfig/krb5-gssapi.pc
/usr/lib/pkgconfig/krb5.pc
/usr/lib/pkgconfig/mit-krb5-gssapi.pc
/usr/lib/pkgconfig/mit-krb5.pc
/usr/sbin/gss-server
/usr/sbin/uuserver
/usr/share/doc/libkrb5-devel/
/usr/share/doc/libkrb5-devel/examples/kdc.conf
/usr/share/doc/libkrb5-devel/examples/krb5.conf
/usr/share/doc/libkrb5-devel/examples/services.append
/usr/share/doc/libkrb5-devel/krb5-protocol/draft-ietf-cat-kerberos-pk-init-09.txt
/usr/share/doc/libkrb5-devel/krb5-protocol/draft-jaganathan-rc4-hmac-03.txt
/usr/share/doc/libkrb5-devel/krb5-protocol/krb5.constants
/usr/share/doc/libkrb5-devel/krb5-protocol/rfc3961.txt
/usr/share/doc/libkrb5-devel/krb5-protocol/rfc3962.txt
/usr/share/doc/libkrb5-devel/krb5-protocol/rfc4120.txt
/usr/share/doc/libkrb5-devel/krb5-protocol/rfc4121.txt
/usr/share/doc/libkrb5-devel/krb5-protocol/rfc4557.txt

See Also

Package Description
libkrb5_3-1.14.1-1-omv2015.0.i586.rpm The shared library used by Kerberos 5
libkrb5_3-1.14.3-1-omv2015.0.i586.rpm The shared library used by Kerberos 5
libkrb5support0-1.14.1-1-omv2015.0.i586.rpm The shared library used by Kerberos 5 - krb5support
libkrb5support0-1.14.3-1-omv2015.0.i586.rpm The shared library used by Kerberos 5 - krb5support
libkrdccore-devel-16.04.3-1-omv2015.0.i586.rpm Development for KRDC
libkrdccore5-16.04.3-1-omv2015.0.i586.rpm Shared library for KRDC
libkremotecontrol1-16.04.3-1-omv2015.0.i586.rpm Runtime library for kremotecontrol
libkresources4-4.14.10-6-omv2015.0.i586.rpm KDE 4 core library
libkrfbprivate5-16.04.3-1-omv2015.0.i586.rpm KRFB shared library
libkrosscore4-4.14.20-1-omv2015.0.i586.rpm KDE 4 core library
libkrosscore4-4.14.22-1-omv2015.0.i586.rpm KDE 4 core library
libkrossui4-4.14.20-1-omv2015.0.i586.rpm KDE 4 core library
libkrossui4-4.14.22-1-omv2015.0.i586.rpm KDE 4 core library
libksane-16.04.3-1-omv2015.0.i586.rpm A library for dealing with scanners
libksane0-15.08.3-4-omv2015.0.i586.rpm A library for dealing with scanners
Advertisement
Advertisement